D4Science Infrastructure - Task #2507

Move the transect app from dlib18.isti.cnr.it to data.d4science.org
Mar 09, 2016 10:55 AM - Andrea Dell'Amico

Status: Closed Start date: Mar 09, 2016
Priority: Urgent Due date:

Assignee: Roberto Cirillo % Done: 100%
Category: System Application Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Development, Production

Description

It's something that were discussed by email.

dlib18.isti.cnr.it is a very old Ubuntu (7.10!) with an IP address on the 146.48.80.0/21 network.
We need to remove all those IP addresses from the data center before the the network will be in place.

The plan for transect is to move it to data.d4science.org: apache is already configured for it and tomcat has the autodeploy feature
active, so the application can be installed without any restart.

If it's possibile to test it in the dev environment, it can be installed on data-d.d4science.org first.

About the naming: we can provide dlib18.isti.cnr.it as an alias for data.d4science.org until the IS resources is updated, if needed.

History

#1 - Mar 14, 2016 11:52 AM - Roberto Cirillo

- Status changed from New to In Progress

I've tried to move the transect webapp on "data-d.d4science.org" host,as you suggested, for testing purpose. It works but it's need to restart the portal
because the ServiceEndpoint is cached on the portal: if we don't restart the portal, the new hosting node is not discovered. In the same way, when we
are going to do it in production environment, it will be need a portal restart.

#2 - Mar 14, 2016 12:30 PM - Andrea Dell'Amico

So we can install the transect app on data.d4science.org too, and change the dlib18.isti.cnr.it hostname to become an alias for data.d4science.org,
while waiting for a portal restart?

#3 - Mar 14, 2016 12:55 PM - Roberto Cirillo

The Transect webapp is used only by Geo portlet (hosted on iMarine portal). I'm going to copy the transect webapp on "data.d4science.org" and
upgrade the related ServiceEndpoint. In this way, the Geo portlet will discover the old hosting node as long as the portal is not restarted and, at next
restart (I hope this evening), the Geo portlet will discover the new hosting node. It's no need to change the dlib18.isti.cnr.it hostname

#4 - Mar 14, 2016 01:07 PM - Andrea Dell'Amico
Ah OK, perfect.

#5 - Mar 14, 2016 01:08 PM - Andrea Dell'Amico

- Infrastructure Production added

#6 - Mar 14, 2016 03:43 PM - Roberto Cirillo
- % Done changed from 0 to 100

I've moved the Transect webapp to data.d4science.org and update the releated serviceEndpoint. At next portal restart, the new service endpoint will
be loaded and we can close this ticket.
@massimiliano.assante@isti.cnr.it when could we restart the iMarine portal?

#7 - Mar 14, 2016 04:30 PM - Roberto Cirillo

The new ServiceEndpoint has been correctly loaded by Geo portlet, so no portal restart is needed. The geo portlet checks the ServiceEndpoint
resource every 10 minutes and not only at the restart, as | supposed. The transect app has been successfully moved to "data.d4science.org".

Sep 16, 2025 1/2




#8 - Mar 14, 2016 04:59 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed
OK, I'm going to shutdown dlib18.isti.cnr.it.

#9 - Mar 14, 2016 05:54 PM - Tommaso Piccioli

dlib18.isti.cnr.it down after last backup
